%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Reverses the Digit Order
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Res] = DigitReversal(Digits,NumDigits)
    %Res = nan(1,NumDigits);
    Res = Digits;
    for i = 1:NumDigits/2
        Data_Left  = Digits(i);
        Data_Right = Digits(NumDigits - i + 1);
        
        Res(i) = Data_Right;
        Res(NumDigits - i + 1) = Data_Left;
    end

end

