%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Decomposes Number into Base Digits
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Res] = Dec2Base(Num,Base,NumDigits)

    Ref = Num;
    Res = zeros(1,NumDigits);
    for i = 0:NumDigits - 1
        Power = Base^(NumDigits - i - 1);
        
        % Integer Division
        TMP = idivide(Ref,int32(Power));
        Ref = Ref - TMP * Power;
        Res(i + 1) = TMP;
    end
end

